License information about openvas-libraries
-------------------------------------------

The openvas-libraries module reveals a number
of different licenses of the GNU family of licenses.

The effective license of the modules as a whole
is the GNU General Public License Version 2 (GNU GPLv2).

Single files, however, are licensed under either
under GNU Lesser General Public License (GNU LGPLv2)
or under "GNU GPLv2 or any later version" (GNU GPLv2+)
or other GPL-compatible licenses. So, subsets of the
module can be used under the respective licenses.

GPLv2: See file COPYING.GPLv2
LGPLv2: See file COPYING.LGPLv2

The following overview was initially collected 20100726 based
on the header of the respective files and since then updated
as changes were applied:

base/array.[c|h]: GPLv2+
base/CMakeLists.txt: GPLv2+
base/credentials.[c|h]: GPLv2+
base/cvss.[c|h]: GPLv2+
base/drop_privileges.[c|h]: GPLv2+
base/gpgme_util.[c|h]: GPLv2+
base/nvti.[c|h]: GPLv2+
base/nvticache.[c|h]: GPLv2+
base/openvas_file.[c|h]: GPLv2+
base/openvas_hosts.[c|h]: GPLv2+
base/openvas_networking.[c|h]: GPLv2+
base/openvas_string.[c|h]: GPLv2+
base/pwpolicy.[c|h]: GPLv2+
base/pidfile.[c|h]: GPLv2+
base/settings.[c|h]: GPLv2+
base/kb.h: GPLv2+
base/kb_redis.c: GPLv2+

misc/arglists.[c|h]: LGPLv2+
misc/bpf_share.c: GPLv2
misc/bpf_share.h: LGPLv2+
misc/CMakeLists.txt: GPLv2
misc/ftp_funcs.[c|h]: LGPLv2+
misc/ids_send.[c|h]: LGPLv2+
misc/internal_com.h: GPLv2+
misc/ldap_connect_auth.[c|h]: GPLv2+
misc/network.[c|h]: LGPLv2+
misc/nvt_categories.h: LGPLv2+
misc/openvas_auth.[c|h]: GPLv2+
misc/openvas_logging.[c|h]: GPLv2+
misc/openvas_proctitle.[c|h]: GPLv2+
misc/openvas_server.[c|h]: GPLv2+
misc/openvas_uuid.[c|h]: GPLv2+
misc/pcap.c: LGPLv2+
misc/pcap_openvas.h: LGPLv2+
misc/plugutils.[c|h]: LGPLv2+
misc/popen.[c|h]: LGPLv2+
misc/prefs.[c|h]: GPLv2+
misc/support.h: GPLv2+
misc/www_funcs.c: GPLv2
misc/www_funcs.h: LGPLv2+

nasl/arc4.c: GPLv2+
nasl/byteorder.h: GPLv2+
nasl/capture_packet.[c|h]: GPLv2
nasl/charcnv.c: GPLv2+
nasl/charset.h: GPLv2+
nasl/CMakeLists.txt: GPLv2+
nasl/exec.[c|h]: GPLv2
nasl/genrand.c: GPLv2+
nasl/hmacmd5.[c|h]: GPLv2+
nasl/iconv.[c|h]: GPLv2+
nasl/lint.c: GPLv2
nasl/md4.[c|h]: GPLv2+
nasl/md5.[c|h]: Public Domain
nasl/nasl.[c|h]: GPLv2
nasl/nasl_builtin_find_service.c: GPLv2
nasl/nasl_builtin_nmap.c: GPLv2+
nasl/nasl_builtin_openvas_tcp_scanner.c: GPLv2
nasl/nasl_builtin_plugins.h: GPLv2+
nasl/nasl_builtin_synscan.c: GPLv2
nasl/nasl_cert.[c|h]: GPLv2+
nasl/nasl_cmd_exec.[c|h]: GPLv2
nasl/nasl_crypto2.[c|h]: GPLv2
nasl/nasl_crypto.[c|h]: GPLv2
nasl/nasl_debug.[c|h]: GPLv2
nasl/nasl_func.[c|h]: GPLv2
nasl/nasl_global_ctxt.h: GPLv2
nasl/nasl_grammar.y: GPLv2
nasl/nasl_host.[c|h]: GPLv2
nasl/nasl_http.[c|h]: GPLv2
nasl/nasl_init.[c|h]: GPLv2
nasl/nasl_isotime.[c|h]: GPLv2+
nasl/nasl_lex_ctxt.[c|h]: GPLv2
nasl/nasl_misc_funcs.[c|h]: GPLv2
nasl/nasl_packet_forgery.[c|h]: GPLv2
nasl/nasl_packet_forgery_v6.[c|h]: GPLv2
nasl/nasl_raw.h: GPLv2
nasl/nasl_scanner_glue.[c|h]: GPLv2
nasl/nasl_signature.[c|h]: GPLv2+
nasl/nasl_smb.[c|h]: GPLv2+
nasl/nasl_socket.[c|h]: GPLv2
nasl/nasl_text_utils.[c|h]: GPLv2
nasl/nasl_tree.[c|h]: GPLv2
nasl/nasl_var.[c|h]: GPLv2
nasl/nasl_wmi.[c|h]: GPLv2+
nasl/ntlmssp.[c|h]: GPLv2+
nasl/openvas_smb_interface.h: GPLv2+
nasl/openvas_wmi_interface.h: GPLv2+
nasl/proto.h: GPLv2+
nasl/smb_crypt2.c: GPLv2+
nasl/smb_crypt.[c|h]: GPLv2+
nasl/smb.h: GPLv2+
nasl/smb_interface_stub.c: GPLv2+
nasl/smb_signing.[c|h]: GPLv2+
nasl/strutils.[c|h]: GPLv2
nasl/wmi_interface_stub.c: GPLv2+

nasl/tests/Makefile: GPLv2+
nasl/tests/signed.nasl: GPLv2+
nasl/tests/test_blowfish.nasl: GPLv2+
nasl/tests/test_bn.nasl: GPLv2+
nasl/tests/test_dh.nasl: GPLv2+
nasl/tests/test_dsa.nasl: GPLv2+
nasl/tests/test_hexstr.nasl: GPLv2+
nasl/tests/test_isotime.nasl: GPLv2+
nasl/tests/test_md.nasl: GPLv2+
nasl/tests/test_privkey.nasl: GPLv2+
nasl/tests/test_rsa.nasl: GPLv2+
nasl/tests/test_script_signing.sh: GPLv2+
nasl/tests/test_socket.nasl: GPLv2+
nasl/tests/testsuiteinit.nasl: GPLv2+
nasl/tests/testsuitesummary.nasl: GPLv2+

omp/CMakeLists.txt: GPLv2+
omp/omp.[c|h]: GPLv2+
omp/xml.[c|h]: GPLv2+

osp/CMakeLists.txt: GPLv2+
osp/osp.[c|h]: GPLv2+
